
#ifndef _PCX_H
  #define _PCX_H

  #ifdef __cplusplus
  extern "C" {
  #endif

  #include "pal.h"
  #include "car.h"

  extern int PCX_getInfo (TCAR *carHandle, const char *fileName, int *xSize, int *ySize, int *bytesPerPixel);
  extern int PCX_load (TCAR *carHandle, const char *fileName, void far *linearBuf,
                       int linearBufSizeX, int linearBufSizeY,
                       TRGBColor PAL [256]);
  extern int PCX_save (char *fileName, char *videoBuf, int sizeX, int sizeY,
                       TRGBColor pal [256]);

  extern TRGBColor *PCX_pal;

  #define PCX_VIEW_CENTER 9999
  extern int PCX_view (TCAR *carHandle, const char *fileName,
                       int x, int y); // = PCX_VIEW_CENTER, = PCX_VIEW_CENTER


  #ifdef __cplusplus
  }
  #endif

#endif
