
#include <conio.h>

#include "keyb.h"
#include "wait.h"

int WAIT_flashChar [WAIT_MAXFLASHCHAR] = {'-','\\','|','/'};

int WAIT_flash (long c)
{
  return WAIT_flashChar [c % (WAIT_MAXFLASHCHAR)];
}

extern "C" int (*WAIT_flashPrintFunc) (int c)=putch;

void WAIT_flashPrint (long phase,long max)
{
  int c;

  if (WAIT_flashPrintFunc)
  {
    c = (phase >= (max-1)) ? ' ' : WAIT_flash (phase);
    if (WAIT_flashPrintFunc (c) == c)
    {
      WAIT_flashPrintFunc ('\x08');
//      printf ("% 04i%\r", (100*phase)/max);
    }
  }
}

extern "C" void WAIT_func (void (*waitFunc) (long,long),
		    long phase, long max, long start, long maxcurstep, long totalstep)
{
  int grow;

  if (maxcurstep == -1)
    maxcurstep = max;
  if (totalstep == -1)
  {
    totalstep = max;
  }

  KEYB_update ();

  if (waitFunc)
  {
    grow = max / maxcurstep;
    if ((phase % grow) == grow-1)
    {
      waitFunc ((phase / grow)+start, totalstep);
    }
  }
}

